<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Tue Nov 26 12:47:08 NZDT 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Index (Debian Maven Plugin 1.0.20 API)</title>
<meta name="date" content="2019-11-26">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (Debian Maven Plugin 1.0.20 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven"><span class="typeNameLink">AbstractDebianMojo</span></a> - Class in <a href="net/sf/debianmaven/package-summary.html">net.sf.debianmaven</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#AbstractDebianMojo--">AbstractDebianMojo()</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="net/sf/debianmaven/AbstractDebianMojo.LogOutput.html" title="class in net.sf.debianmaven"><span class="typeNameLink">AbstractDebianMojo.LogOutput</span></a> - Class in <a href="net/sf/debianmaven/package-summary.html">net.sf.debianmaven</a></dt>
<dd>&nbsp;</dd>
<dt><a href="net/sf/debianmaven/utils/AbstractFileCopy.html" title="class in net.sf.debianmaven.utils"><span class="typeNameLink">AbstractFileCopy</span></a> - Class in <a href="net/sf/debianmaven/utils/package-summary.html">net.sf.debianmaven.utils</a></dt>
<dd>
<div class="block">Ancestor for file copying schemes.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/utils/AbstractFileCopy.html#AbstractFileCopy--">AbstractFileCopy()</a></span> - Constructor for class net.sf.debianmaven.utils.<a href="net/sf/debianmaven/utils/AbstractFileCopy.html" title="class in net.sf.debianmaven.utils">AbstractFileCopy</a></dt>
<dd>&nbsp;</dd>
<dt><a href="net/sf/debianmaven/AbstractRepreproMojo.html" title="class in net.sf.debianmaven"><span class="typeNameLink">AbstractRepreproMojo</span></a> - Class in <a href="net/sf/debianmaven/package-summary.html">net.sf.debianmaven</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractRepreproMojo.html#AbstractRepreproMojo--">AbstractRepreproMojo()</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractRepreproMojo.html" title="class in net.sf.debianmaven">AbstractRepreproMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#activeCopyResources">activeCopyResources</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#activeFixPermissions">activeFixPermissions</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FixPermission.html#appliesTo-java.io.File-">appliesTo(File)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a></dt>
<dd>
<div class="block">Checks whether the file is handled by this setup.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/utils/IOUtils.html#applyFixPermissions-org.apache.maven.plugin.logging.Log-java.io.File-java.util.List-">applyFixPermissions(Log, File, List&lt;FixPermission&gt;)</a></span> - Static method in class net.sf.debianmaven.utils.<a href="net/sf/debianmaven/utils/IOUtils.html" title="class in net.sf.debianmaven.utils">IOUtils</a></dt>
<dd>
<div class="block">Applies the patterns to fix file permissions.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FixPermission.html#applyTo-java.io.File-">applyTo(File)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a></dt>
<dd>
<div class="block">Applies the POSIX permissions to the file (if the include pattern triggers).</div>
</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="net/sf/debianmaven/CheckMojo.html" title="class in net.sf.debianmaven"><span class="typeNameLink">CheckMojo</span></a> - Class in <a href="net/sf/debianmaven/package-summary.html">net.sf.debianmaven</a></dt>
<dd>
<div class="block">Checks whether the generated package complies to style rules.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CheckMojo.html#CheckMojo--">CheckMojo()</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/CheckMojo.html" title="class in net.sf.debianmaven">CheckMojo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="net/sf/debianmaven/CleanMojo.html" title="class in net.sf.debianmaven"><span class="typeNameLink">CleanMojo</span></a> - Class in <a href="net/sf/debianmaven/package-summary.html">net.sf.debianmaven</a></dt>
<dd>
<div class="block">Cleans up all files generated by this plugin.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CleanMojo.html#CleanMojo--">CleanMojo()</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/CleanMojo.html" title="class in net.sf.debianmaven">CleanMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/RepreproDeployMojo.html#codenames">codenames</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/RepreproDeployMojo.html" title="class in net.sf.debianmaven">RepreproDeployMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/utils/DefaultFileCopy.html#copy-java.nio.file.Path-java.nio.file.Path-">copy(Path, Path)</a></span> - Method in class net.sf.debianmaven.utils.<a href="net/sf/debianmaven/utils/DefaultFileCopy.html" title="class in net.sf.debianmaven.utils">DefaultFileCopy</a></dt>
<dd>
<div class="block">Copies input file to output file.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/utils/FileCopy.html#copy-java.nio.file.Path-java.nio.file.Path-">copy(Path, Path)</a></span> - Method in interface net.sf.debianmaven.utils.<a href="net/sf/debianmaven/utils/FileCopy.html" title="interface in net.sf.debianmaven.utils">FileCopy</a></dt>
<dd>
<div class="block">Copies input file to output file.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/utils/FilteredFileCopy.html#copy-java.nio.file.Path-java.nio.file.Path-">copy(Path, Path)</a></span> - Method in class net.sf.debianmaven.utils.<a href="net/sf/debianmaven/utils/FilteredFileCopy.html" title="class in net.sf.debianmaven.utils">FilteredFileCopy</a></dt>
<dd>
<div class="block">Copies input file to output file.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/utils/IOUtils.html#copy-org.apache.maven.plugin.logging.Log-java.io.File-java.io.File-java.util.regex.Pattern-net.sf.debianmaven.utils.FileCopy-">copy(Log, File, File, Pattern, FileCopy)</a></span> - Static method in class net.sf.debianmaven.utils.<a href="net/sf/debianmaven/utils/IOUtils.html" title="class in net.sf.debianmaven.utils">IOUtils</a></dt>
<dd>
<div class="block">Copies or moves files and directories (recursively).</div>
</dd>
<dt><a href="net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven"><span class="typeNameLink">CopyResource</span></a> - Class in <a href="net/sf/debianmaven/package-summary.html">net.sf.debianmaven</a></dt>
<dd>
<div class="block">For defining source, target and pattern for copying resources.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CopyResource.html#CopyResource--">CopyResource()</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a></dt>
<dd>
<div class="block">Default constructor.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CopyResource.html#CopyResource-java.lang.String-java.lang.String-java.lang.String-">CopyResource(String, String, String)</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a></dt>
<dd>
<div class="block">Initializes with the specified source, target, include pattern.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#copyResources">copyResources</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#createIncludeFiles">createIncludeFiles</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#createSymLinks">createSymLinks</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FileFiltering.html#DEFAULT_EXCLUDE">DEFAULT_EXCLUDE</a></span> - Static variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FileFiltering.html#DEFAULT_INCLUDE">DEFAULT_INCLUDE</a></span> - Static variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></dt>
<dd>&nbsp;</dd>
<dt><a href="net/sf/debianmaven/utils/DefaultFileCopy.html" title="class in net.sf.debianmaven.utils"><span class="typeNameLink">DefaultFileCopy</span></a> - Class in <a href="net/sf/debianmaven/utils/package-summary.html">net.sf.debianmaven.utils</a></dt>
<dd>
<div class="block">Performs verbatim copying of files.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/utils/DefaultFileCopy.html#DefaultFileCopy--">DefaultFileCopy()</a></span> - Constructor for class net.sf.debianmaven.utils.<a href="net/sf/debianmaven/utils/DefaultFileCopy.html" title="class in net.sf.debianmaven.utils">DefaultFileCopy</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#docDirectory">docDirectory</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#excludeAllArtifacts">excludeAllArtifacts</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#excludeAllDependencies">excludeAllDependencies</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#excludeAllJars">excludeAllJars</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#excludeArtifacts">excludeArtifacts</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#excludeArtifactsPattern">excludeArtifactsPattern</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#excludeArtifactsRegExp">excludeArtifactsRegExp</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#excludedScopes">excludedScopes</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#excludeScope">excludeScope</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#execute--">execute()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#executeDebMojo--">executeDebMojo()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CheckMojo.html#executeDebMojo--">executeDebMojo()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/CheckMojo.html" title="class in net.sf.debianmaven">CheckMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CleanMojo.html#executeDebMojo--">executeDebMojo()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/CleanMojo.html" title="class in net.sf.debianmaven">CleanMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/InstallMojo.html#executeDebMojo--">executeDebMojo()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/InstallMojo.html" title="class in net.sf.debianmaven">InstallMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#executeDebMojo--">executeDebMojo()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/RepreproDeployMojo.html#executeDebMojo--">executeDebMojo()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/RepreproDeployMojo.html" title="class in net.sf.debianmaven">RepreproDeployMojo</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><a href="net/sf/debianmaven/utils/FileCopy.html" title="interface in net.sf.debianmaven.utils"><span class="typeNameLink">FileCopy</span></a> - Interface in <a href="net/sf/debianmaven/utils/package-summary.html">net.sf.debianmaven.utils</a></dt>
<dd>
<div class="block">Interface for schemes that can copy files.</div>
</dd>
<dt><a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven"><span class="typeNameLink">FileFiltering</span></a> - Class in <a href="net/sf/debianmaven/package-summary.html">net.sf.debianmaven</a></dt>
<dd>
<div class="block">For defining file filtering.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FileFiltering.html#FileFiltering--">FileFiltering()</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></dt>
<dd>
<div class="block">Default constructor.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FileFiltering.html#FileFiltering-boolean-java.lang.String-java.lang.String-">FileFiltering(boolean, String, String)</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></dt>
<dd>
<div class="block">Initializes with the specified source, target, include pattern.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#fileFiltering">fileFiltering</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="net/sf/debianmaven/utils/FilteredFileCopy.html" title="class in net.sf.debianmaven.utils"><span class="typeNameLink">FilteredFileCopy</span></a> - Class in <a href="net/sf/debianmaven/utils/package-summary.html">net.sf.debianmaven.utils</a></dt>
<dd>
<div class="block">Applies filtering while copying a file.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/utils/FilteredFileCopy.html#FilteredFileCopy-org.apache.maven.model.Model-java.util.regex.Pattern-java.util.regex.Pattern-java.util.Map-">FilteredFileCopy(Model, Pattern, Pattern, Map&lt;String, String&gt;)</a></span> - Constructor for class net.sf.debianmaven.utils.<a href="net/sf/debianmaven/utils/FilteredFileCopy.html" title="class in net.sf.debianmaven.utils">FilteredFileCopy</a></dt>
<dd>
<div class="block">Initializes the file copy.</div>
</dd>
<dt><a href="net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven"><span class="typeNameLink">FixPermission</span></a> - Class in <a href="net/sf/debianmaven/package-summary.html">net.sf.debianmaven</a></dt>
<dd>
<div class="block">Parameter container for fixing permissions.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FixPermission.html#FixPermission--">FixPermission()</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a></dt>
<dd>
<div class="block">Default constructor.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FixPermission.html#FixPermission-java.lang.String-java.lang.String-">FixPermission(String, String)</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a></dt>
<dd>
<div class="block">Uses the provided include, permissions.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#fixPermissions">fixPermissions</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FileFiltering.html#getEnabled--">getEnabled()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></dt>
<dd>
<div class="block">Returns whether file filtering is enabled.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FileFiltering.html#getExclude--">getExclude()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></dt>
<dd>
<div class="block">Returns the exclude regular expression.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FileFiltering.html#getExcludePattern--">getExcludePattern()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></dt>
<dd>
<div class="block">Returns the compiled exclude pattern.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CopyResource.html#getInclude--">getInclude()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a></dt>
<dd>
<div class="block">Returns the include regular expression.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FileFiltering.html#getInclude--">getInclude()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></dt>
<dd>
<div class="block">Returns the include regular expression.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FixPermission.html#getInclude--">getInclude()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a></dt>
<dd>
<div class="block">Returns the include regular expression.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CopyResource.html#getIncludePattern--">getIncludePattern()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a></dt>
<dd>
<div class="block">Returns the compiled include pattern.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FileFiltering.html#getIncludePattern--">getIncludePattern()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></dt>
<dd>
<div class="block">Returns the compiled include pattern.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FixPermission.html#getIncludePattern--">getIncludePattern()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a></dt>
<dd>
<div class="block">Returns the compiled include pattern.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/utils/AbstractFileCopy.html#getLog--">getLog()</a></span> - Method in class net.sf.debianmaven.utils.<a href="net/sf/debianmaven/utils/AbstractFileCopy.html" title="class in net.sf.debianmaven.utils">AbstractFileCopy</a></dt>
<dd>
<div class="block">Returns the log in use.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/utils/FileCopy.html#getLog--">getLog()</a></span> - Method in interface net.sf.debianmaven.utils.<a href="net/sf/debianmaven/utils/FileCopy.html" title="interface in net.sf.debianmaven.utils">FileCopy</a></dt>
<dd>
<div class="block">Returns the log in use.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.LogOutput.html#getOutputType--">getOutputType()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.LogOutput.html" title="class in net.sf.debianmaven">AbstractDebianMojo.LogOutput</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#getPackageFile--">getPackageFile()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#getPackageVersion--">getPackageVersion()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FixPermission.html#getPermissions--">getPermissions()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a></dt>
<dd>
<div class="block">Returns the POSIX permissions string.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FixPermission.html#getPermissionsSet--">getPermissionsSet()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a></dt>
<dd>
<div class="block">Returns the parsed POSIX file permissions.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CopyResource.html#getSource--">getSource()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a></dt>
<dd>
<div class="block">Returns the source.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CopyResource.html#getTarget--">getTarget()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a></dt>
<dd>
<div class="block">Returns the target.</div>
</dd>
</dl>
<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#includeArtifacts">includeArtifacts</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#includeAttachedArtifacts">includeAttachedArtifacts</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#includedScopes">includedScopes</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#includeJar">includeJar</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#includeJars">includeJars</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#includeScope">includeScope</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="net/sf/debianmaven/InstallMojo.html" title="class in net.sf.debianmaven"><span class="typeNameLink">InstallMojo</span></a> - Class in <a href="net/sf/debianmaven/package-summary.html">net.sf.debianmaven</a></dt>
<dd>
<div class="block">Installs the generated Debian package in the current system.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/InstallMojo.html#InstallMojo--">InstallMojo()</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/InstallMojo.html" title="class in net.sf.debianmaven">InstallMojo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="net/sf/debianmaven/utils/IOUtils.html" title="class in net.sf.debianmaven.utils"><span class="typeNameLink">IOUtils</span></a> - Class in <a href="net/sf/debianmaven/utils/package-summary.html">net.sf.debianmaven.utils</a></dt>
<dd>
<div class="block">Helper class for I/O related operations.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/utils/IOUtils.html#IOUtils--">IOUtils()</a></span> - Constructor for class net.sf.debianmaven.utils.<a href="net/sf/debianmaven/utils/IOUtils.html" title="class in net.sf.debianmaven.utils">IOUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FixPermission.html#isValid--">isValid()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a></dt>
<dd>
<div class="block">Checks whether the setup is valid.</div>
</dd>
</dl>
<a name="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#libDirectory">libDirectory</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.LogOutput.html#LogOutput-org.apache.maven.plugin.logging.Log-">LogOutput(Log)</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.LogOutput.html" title="class in net.sf.debianmaven">AbstractDebianMojo.LogOutput</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#maintainerEmail">maintainerEmail</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#maintainerName">maintainerName</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#manDirectory">manDirectory</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><a href="net/sf/debianmaven/package-summary.html">net.sf.debianmaven</a> - package net.sf.debianmaven</dt>
<dd>&nbsp;</dd>
<dt><a href="net/sf/debianmaven/utils/package-summary.html">net.sf.debianmaven.utils</a> - package net.sf.debianmaven.utils</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#newFile-java.io.File-java.lang.String-">newFile(File, String)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#packageArchitecture">packageArchitecture</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#packageDependencies">packageDependencies</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#packageDescription">packageDescription</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven"><span class="typeNameLink">PackageMojo</span></a> - Class in <a href="net/sf/debianmaven/package-summary.html">net.sf.debianmaven</a></dt>
<dd>
<div class="block">Generates a Debian package.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#PackageMojo--">PackageMojo()</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#packageName">packageName</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#packagePriority">packagePriority</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#packageRevision">packageRevision</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#packageSection">packageSection</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#packageTitle">packageTitle</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.LogOutput.html#processOutput-java.lang.String-boolean-">processOutput(String, boolean)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.LogOutput.html" title="class in net.sf.debianmaven">AbstractDebianMojo.LogOutput</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#processVersion-java.lang.String-">processVersion(String)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#processVersion-java.lang.String:A-">processVersion(String[])</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#projectOrganization">projectOrganization</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#projectUrl">projectUrl</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractRepreproMojo.html#repository">repository</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractRepreproMojo.html" title="class in net.sf.debianmaven">AbstractRepreproMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/RepreproDeployMojo.html#repositoryBranch">repositoryBranch</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/RepreproDeployMojo.html" title="class in net.sf.debianmaven">RepreproDeployMojo</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractRepreproMojo.html#repreproConfigurationDir">repreproConfigurationDir</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractRepreproMojo.html" title="class in net.sf.debianmaven">AbstractRepreproMojo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="net/sf/debianmaven/RepreproDeployMojo.html" title="class in net.sf.debianmaven"><span class="typeNameLink">RepreproDeployMojo</span></a> - Class in <a href="net/sf/debianmaven/package-summary.html">net.sf.debianmaven</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/RepreproDeployMojo.html#RepreproDeployMojo--">RepreproDeployMojo()</a></span> - Constructor for class net.sf.debianmaven.<a href="net/sf/debianmaven/RepreproDeployMojo.html" title="class in net.sf.debianmaven">RepreproDeployMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#runProcess-java.lang.String:A-boolean-">runProcess(String[], boolean)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FileFiltering.html#setEnabled-boolean-">setEnabled(boolean)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></dt>
<dd>
<div class="block">Sets whether file filtering is enabled.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FileFiltering.html#setExclude-java.lang.String-">setExclude(String)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></dt>
<dd>
<div class="block">Sets the exclude regular expression.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CopyResource.html#setInclude-java.lang.String-">setInclude(String)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a></dt>
<dd>
<div class="block">Sets the include regular expression.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FileFiltering.html#setInclude-java.lang.String-">setInclude(String)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></dt>
<dd>
<div class="block">Sets the include regular expression.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FixPermission.html#setInclude-java.lang.String-">setInclude(String)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a></dt>
<dd>
<div class="block">Sets the include regular expression.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/utils/AbstractFileCopy.html#setLog-org.apache.maven.plugin.logging.Log-">setLog(Log)</a></span> - Method in class net.sf.debianmaven.utils.<a href="net/sf/debianmaven/utils/AbstractFileCopy.html" title="class in net.sf.debianmaven.utils">AbstractFileCopy</a></dt>
<dd>
<div class="block">Sets the log to use.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/utils/FileCopy.html#setLog-org.apache.maven.plugin.logging.Log-">setLog(Log)</a></span> - Method in interface net.sf.debianmaven.utils.<a href="net/sf/debianmaven/utils/FileCopy.html" title="interface in net.sf.debianmaven.utils">FileCopy</a></dt>
<dd>
<div class="block">Sets the log to use.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FixPermission.html#setPermissions-java.lang.String-">setPermissions(String)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a></dt>
<dd>
<div class="block">Sets the POSIX permissions string (eg 'rwxr-xr-x').</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CopyResource.html#setSource-java.lang.String-">setSource(String)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a></dt>
<dd>
<div class="block">Sets the source.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CopyResource.html#setTarget-java.lang.String-">setTarget(String)</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a></dt>
<dd>
<div class="block">Sets the target.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/RepreproDeployMojo.html#skipDeployMissing">skipDeployMissing</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/RepreproDeployMojo.html" title="class in net.sf.debianmaven">RepreproDeployMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#sourceDir">sourceDir</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#stageDir">stageDir</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/AbstractDebianMojo.html#targetDir">targetDir</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/CopyResource.html#toString--">toString()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a></dt>
<dd>
<div class="block">Returns a short description of the setup.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FileFiltering.html#toString--">toString()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></dt>
<dd>
<div class="block">Returns a short description of the setup.</div>
</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/FixPermission.html#toString--">toString()</a></span> - Method in class net.sf.debianmaven.<a href="net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a></dt>
<dd>
<div class="block">Returns a short description of the setup.</div>
</dd>
</dl>
<a name="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#useDefaultCopyResources">useDefaultCopyResources</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="net/sf/debianmaven/PackageMojo.html#useDefaultFixPermissions">useDefaultFixPermissions</a></span> - Variable in class net.sf.debianmaven.<a href="net/sf/debianmaven/PackageMojo.html" title="class in net.sf.debianmaven">PackageMojo</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2012-2019. All Rights Reserved.</small></p>
</body>
</html>
